Bug 61185 - gssapi mechanism does not appear.
gssapi mechanism does not appear.
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: cyrus-sasl (Show other bugs)
7.3
alpha Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Beth Uptagrafft
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-14 18:38 EST by George France
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-29 13:29:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description George France 2002-03-14 18:38:40 EST
Description of Problem:

While runing the sasl-sample-server and sasl-sample client the gssapi mechanism
does not appear.

Version-Release number of selected component (if applicable):

	cyrus-sasl-1.5.24

How Reproducible:

	Always

Steps to Reproduce:
1. use kadmin to properly make a host entry in /etc/krb5.keytab
2. type at the command line "sasl-sample-server -s host". You will recieve:
	
	Sending list of 3 mechanism(s)
	S: UExBSU4gTE9HSU4gQU5PTllNT1VT
	Waiting for client mechanism...

3. at a different console / xterm, type "sasl-sample-client -s host -u
<username>", where <username> is an actual user that is part the kerberos
realm.  You will recieve:

	service=host
	Waiting for mechanism list from server...

4. cut and past the "S: UExBSU4gTE9HSU4gQU5PTllNT1VT" into the client, followed
by a <cr>. You will see:

	Choosing best mechanism from: PLAIN LOGIN ANONYMOUS

Expected Results:

	Choosing best mechanism from: GSSAPI LOGIN ANONYMOUS


--George
Comment 1 Phil Copeland 2002-04-29 13:29:28 EDT
George, you mentioned that a 64bit patch for this exists.
Can I geta little more info on this please?

Cheers

Phil
=--=
Comment 2 Phil Copeland 2002-04-29 16:21:11 EDT
(on the es45..)

[root@vegeta root]# sasl-sample-server -s localhost
Generating client mechanism list...
Sending list of 4 mechanism(s)
S: R1NTQVBJIFBMQUlOIExPR0lOIEFOT05ZTU9VUw==
Waiting for client mechanism...


[root@vegeta root]# sasl-sample-client -s localhost -u root service=localhost
Waiting for mechanism list from server...
S: R1NTQVBJIFBMQUlOIExPR0lOIEFOT05ZTU9VUw==
Choosing best mechanism from: GSSAPI PLAIN LOGIN ANONYMOUS
....

I believe this is what you were after, the inclusion of the GSSAPI mechanism.
(current version cyrus-sasl-devel-1.5.24-23)

Phil
=--=
Comment 3 George France 2002-04-29 16:25:39 EDT
Well Done.

I will try to duplicate your efforts tomorrow, when I am at CRL and have a krb5
server available.

--George
Comment 4 George France 2002-05-01 13:59:40 EDT
Resolved.

Note You need to log in before you can comment on or make changes to this bug.